Item = Core.class(Sprite)

function Item:init(imgUp, imgDown, id)
self.id = id
	self.bitmapUp = Bitmap.new(Texture.new(imgUp))
	self.bitmapUp:setAnchorPoint(0.5, 0.5)
	self:addChild(self.bitmapUp)
	self:initTapEffect() 
	self:addEventListener(Event.TOUCHES_BEGIN, self.onTouchesBegin, self)
end

function Item:onTouchesBegin(event)
	if self.bitmapUp:hitTestPoint(event.touch.x, event.touch.y) then
		event:stopPropagation()
		self:getParent():addChild(self) --this is to bring this Item Sprite on top of the others
		--self:initTapEffect() --moved in init
		self.emitter_1:start(false, true) --emit
	end
end

function Item:initTapEffect()
--just define the emitter(s)
-- load graphics
local waveGFX = (Texture.new("gdx/shockwave1.png"))	
local sparklesGFX = (Texture.new("gdx/exp1.png"))	
local smokeGFX = (Texture.new("gdx/smoke.png"))	

-- define explosion weave
local wave = CParticles.new(waveGFX, 1, 1, 0, "add")
wave:setSize(0.1)
wave:setAlpha(190)
wave:setColor(150,120,130)
wave:setAlphaMorphOut(0, 1)
wave:setSizeMorphOut(2, 1)

-- define explosion sparkles

local sparkles = CParticles.new(sparklesGFX, 10, 1, 0, "add")
sparkles:setSize(0.3, 0.8)
sparkles:setSpeed(150, 350)
sparkles:setAlpha(0)
sparkles:setDirection(0, 360)
sparkles:setColor(255,100,190)
sparkles:setAlphaMorphIn(255, .5)
sparkles:setAlphaMorphOut(0, .5)

-- define explosion sparkles
local smoke = CParticles.new(smokeGFX, 5, 1, 0, "add")
smoke:setSize(1, 2)
smoke:setSpeed(100, 160)
smoke:setRotation(0, 80, 360, -80)
smoke:setDirection(0, 360)
smoke:setColor(120,90,150)
smoke:setAlphaMorphOut(0, 1)
smoke:setSizeMorphOut(3, 1)

-- set emitter 1 (sx) and emitter 2 (dx)
self.emitter_1 = CEmitter.new(0,0,0, self)

-- assign particles to emitters
wave:setLoopMode(1)
sparkles:setLoopMode(1)
smoke:setLoopMode(1)

self.emitter_1:assignParticles(wave)
self.emitter_1:assignParticles(sparkles)
self.emitter_1:assignParticles(smoke)

self:addChild(self.emitter_1)
--self.emitter_1:start(false, true) --don't emit now, do it onTouchesBegin
end 

